io.vertx.grpc

## Class VertxServerBuilder

- java.lang.Object
- - io.grpc.ServerBuilder<VertxServerBuilder>
  - - io.vertx.grpc.VertxServerBuilder

-     public class VertxServerBuilder
      extends ServerBuilder<VertxServerBuilder>

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertxServerBuilder` | `addService(BindableService bindableService)`
    `VertxServerBuilder` | `addService(ServerServiceDefinition service)`
    `VertxServerBuilder` | `addStreamTracerFactory(ServerStreamTracer.Factory factory)`
    `VertxServerBuilder` | `addTransportFilter(ServerTransportFilter filter)`
    `VertxServer` | `build()`
    `VertxServerBuilder` | `compressorRegistry(CompressorRegistry registry)`
    `VertxServerBuilder` | `decompressorRegistry(DecompressorRegistry registry)`
    `VertxServerBuilder` | `directExecutor()`
    `VertxServerBuilder` | `executor(Executor executor)`
    `VertxServerBuilder` | `fallbackHandlerRegistry(HandlerRegistry fallbackRegistry)`
    `static VertxServerBuilder` | `forAddress(Vertx vertx, SocketAddress address)`
    `static VertxServerBuilder` | `forAddress(Vertx vertx, String host, int port)`
    `static VertxServerBuilder` | `forPort(Vertx vertx, int port)`
    `VertxServerBuilder` | `useSsl(Handler<TCPSSLOptions> handler)`
    `VertxServerBuilder` | `useTransportSecurity(File certChain, File privateKey)`

    - ### Methods inherited from class io.grpc.ServerBuilder

      `forPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forPort

          public static VertxServerBuilder forPort(Vertx vertx,
                                                   int port)

    - #### forAddress

          public static VertxServerBuilder forAddress(Vertx vertx,
                                                      SocketAddress address)

    - #### forAddress

          public static VertxServerBuilder forAddress(Vertx vertx,
                                                      String host,
                                                      int port)

    - #### directExecutor

          public VertxServerBuilder directExecutor()

      Specified by:
        `directExecutor` in class `ServerBuilder<VertxServerBuilder>`

    - #### executor

          public VertxServerBuilder executor(@Nullable
                                             Executor executor)

      Specified by:
        `executor` in class `ServerBuilder<VertxServerBuilder>`

    - #### addService

          public VertxServerBuilder addService(ServerServiceDefinition service)

      Specified by:
        `addService` in class `ServerBuilder<VertxServerBuilder>`

    - #### addService

          public VertxServerBuilder addService(BindableService bindableService)

      Specified by:
        `addService` in class `ServerBuilder<VertxServerBuilder>`

    - #### fallbackHandlerRegistry

          public VertxServerBuilder fallbackHandlerRegistry(@Nullable
                                                            HandlerRegistry fallbackRegistry)

      Specified by:
        `fallbackHandlerRegistry` in class `ServerBuilder<VertxServerBuilder>`

    - #### useTransportSecurity

          public VertxServerBuilder useTransportSecurity(File certChain,
                                                         File privateKey)

      Specified by:
        `useTransportSecurity` in class `ServerBuilder<VertxServerBuilder>`

    - #### addTransportFilter

          public VertxServerBuilder addTransportFilter(ServerTransportFilter filter)

      Overrides:
        `addTransportFilter` in class `ServerBuilder<VertxServerBuilder>`

    - #### addStreamTracerFactory

          public VertxServerBuilder addStreamTracerFactory(ServerStreamTracer.Factory factory)

      Overrides:
        `addStreamTracerFactory` in class `ServerBuilder<VertxServerBuilder>`

    - #### decompressorRegistry

          public VertxServerBuilder decompressorRegistry(@Nullable
                                                         DecompressorRegistry registry)

      Specified by:
        `decompressorRegistry` in class `ServerBuilder<VertxServerBuilder>`

    - #### compressorRegistry

          public VertxServerBuilder compressorRegistry(@Nullable
                                                       CompressorRegistry registry)

      Specified by:
        `compressorRegistry` in class `ServerBuilder<VertxServerBuilder>`

    - #### useSsl

          public VertxServerBuilder useSsl(Handler<TCPSSLOptions> handler)

    - #### build

          public VertxServer build()

      Specified by:
        `build` in class `ServerBuilder<VertxServerBuilder>`

Copyright © 2017. All rights reserved.